Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class Multiple

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.Multiple

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class Multiple
extends org.esupportail.portal.utils.channels.SubChannel

Multiple
Cette action prend en charge la traitements multiples sur les documents
Elle redirige vers les actions de suppression multiple ou de validation multiple
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`Multiple(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `init(org.jasig.portal.ChannelRuntimeData rd)` Détermine l'action à effectuer et redirige

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Multiple

    public Multiple(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - Channel principale

Method Detail

### init

    public java.lang.Boolean init(org.jasig.portal.ChannelRuntimeData rd)
                           throws org.jasig.portal.PortalException,
                                  org.esupportail.portal.utils.channels.FrameWorkException

  Détermine l'action à effectuer et redirige

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD